#include <bits/stdc++.h>
#define N 1000000
using namespace std;
bool nt[N+7];
void sang()
{
    fill(nt,nt+N,true);
    nt[0]=nt[1]=false;
    for(int i=2;i*i<N;i++)
        if(nt[i])
            for(int j=i*i;j<N;j+=i)
                nt[j]=false;
}
int t,n;
int main()
{
    freopen("CAU3.INP","r",stdin);
    freopen("CAU3.OUT","w",stdout);
    sang();
    cin>>t;
    while(t--)
    {
        cin>>n;
        if(nt[n]) cout<<n<<endl;
        else
        {
            for(int i=n+1;i<N;i++)
                if(nt[i])
                {
                    cout<<i<<endl;
                    break;
                }
        }
    }
    return 0;
}
